Subject: RE: Florida labels needed - ASAP!
From: "George Keck" <[email-masked]>
To: "Mike" <[email-masked]>
Date: Wed, 11 May 2011 15:48:28 -0400

Mike I got the email but what is the size for the labels? Thanks George

From: Mike [mailto:[email-masked]] 
Sent: Wednesday, May 11, 2011 2:29 PM
To: George Keck
Subject: Florida labels needed - ASAP!

George,

I was hoping you could put a little bit of a rush on getting us some
labels for the Florida posters.  We will need 1500 English & 250 Spanish
labels.  If I can get an expected date of delivery, that would be
helpful in my planning as well.  Much appreciated!

Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]